# de_abandoned_hospital

An open source CS:GO map.

Custom materials used in this map are available inside the materials folder. Do not forget to install them before attempting to compile it through Valve Hammer Editor.

## Getting the map

Build the map or download the [latest release](https://git.quent1.fr/quent1/de_abandoned_hospital/releases).

## Building the map

Open `de_abandoned_hospital.vmf` with Valve Hammer Editor (Counter Strike : Global Offensive SDK version). Press `F9` to compile, then select `Expert...` and choose the `Full compile -both -final (slow)` preset. Compilation will be way slower but it will ensure that the lightning of static props on the map are correctly rendered. 

Once installed, do not forget to generate the navigation meshes file.

## Generating the navigation meshes file

Open the server console and execute : 

	map de_abandoned_hospital
	sv_cheats 1
	nav_generate
	
Wait a few minutes until the file is generated. The server may become unresponsive during that generation.
